package cn.wzpmc.gui;

import cn.wzpmc.configuration.GuiConfiguration;
import cn.wzpmc.entities.SongObject;
import io.github.cottonmc.cotton.gui.client.ScreenDrawing;
import io.github.cottonmc.cotton.gui.widget.WWidget;
import net.minecraft.client.MinecraftClient;
import net.minecraft.client.gui.DrawContext;

public class SongDetailWeight extends WWidget {
    private final SongObject songObject;
    private final MinecraftClient minecraftClient;

    public SongDetailWeight(SongObject songObject) {
        this.songObject = songObject;
        this.minecraftClient = MinecraftClient.getInstance();
    }

    @Override
    public void paint(DrawContext context, int x, int y, int mouseX, int mouseY) {
        int fontHeight = this.minecraftClient.textRenderer.fontHeight;
        ScreenDrawing.coloredRect(context, x, y, GuiConfiguration.coverWidth + 106, fontHeight + 4, GuiConfiguration.listBackgroundColor);
        context.drawText(this.minecraftClient.textRenderer, this.songObject.getName() + '-' + this.songObject.getArtists(), x + 2, y + 2, GuiConfiguration.textColor, false);
    }
}
