package cn.wzpmc.mixin;

import net.minecraft.client.sound.SoundInstance;
import net.minecraft.client.sound.SoundSystem;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.gen.Accessor;

import java.util.Map;

@Mixin(SoundSystem.class)
public interface SoundSystemMixin {
    @Accessor("soundEndTicks")
    Map<SoundInstance, Integer> getSoundEndTick();

    @Accessor("ticks")
    int getTicks();
}
